# Filename: tri_set_node.py
# Purpose: Sets a triangulation vertex by coordinates.
# Returns: Void.

from maptek import vulcan

input_tri = 'slope_polys.00t'
node_index = 18
x = 77731.69
y = 4370.95
z = 100.0

with vulcan.triangulation(input_tri, 'w') as tri:
    tri.set_node(node_index, x, y, z)